Page MenuHomePhabricator

vg_loader: Get markers information form json data.
ClosedPublic

Authored by jsuya on Oct 24 2019, 11:22 PM.

Details

Summary

If json data has marker information, it is stored in vg file data.

Test Plan

N/A

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 14367
Build 9891: arc lint + arc unit
jsuya created this revision.Oct 24 2019, 11:22 PM
jsuya requested review of this revision.Oct 24 2019, 11:22 PM
jsuya updated this revision to Diff 26365.Oct 24 2019, 11:25 PM

remove warning

Hermet requested changes to this revision.Oct 25 2019, 3:30 AM

Please check comments.

src/lib/evas/include/evas_private.h
1549

Please use Eina_Inarray

src/modules/evas/vg_loaders/json/evas_vg_load_json.c
83

make it clear! (markerlist->size > 0)

85

there must be sort of eina_array_reserve() to reserve the total memory in advance.

88

Vg_File_Anim_Data -> must be marker data?

This revision now requires changes to proceed.Oct 25 2019, 3:30 AM
jsuya updated this revision to Diff 26648.Nov 3 2019, 4:53 PM

Update patch
-Change Eina_Array to Eina_Inarray

jsuya marked 4 inline comments as done.Nov 3 2019, 5:33 PM
Hermet requested changes to this revision.Nov 4 2019, 7:53 AM

Please check comments

src/lib/evas/include/evas_private.h
1539

EIna_Stringshare*

src/modules/evas/vg_loaders/json/evas_vg_load_json.c
27

eina_stringshare_del()

92

I think we wrongly use this inarray. (don't push item.)
Use eina_inarray_resize() while we know the count of element.
Then anim_data->markers will be reserved with markerlist->size.
You can iterate inarray with EINA_INARRAY_FOREACH() and just modify the element properties in the loop.

This revision now requires changes to proceed.Nov 4 2019, 7:53 AM
jsuya updated this revision to Diff 26699.Nov 6 2019, 12:18 AM

Update patch

  • use eina_stringshare and eina_inarray_reisze

@Hermet thanks review

Hermet accepted this revision.Nov 11 2019, 4:11 PM
This revision is now accepted and ready to land.Nov 11 2019, 4:11 PM
This revision was automatically updated to reflect the committed changes.